Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.servlet
Class AbstractHttpServlet

Field Summary
`String` | `CONTENT_TYPE_TEXT_HTML`
`String` | `INC_PATH_INFO`
`String` | `INC_REQUEST_URI`
`String` | `INC_SERVLET_PATH`
`String` | `encoding`
`boolean` | `logGROOVY861`
`boolean` | `reflection`
`Matcher` | `resourceNameMatcher`
`boolean` | `resourceNameReplaceAll`
`String` | `resourceNameReplacement`
`ServletContext` | `servletContext`
`boolean` | `verbose`

Constructor Summary
`AbstractHttpServlet()` The replacement used by the resource name matcher.

Method Summary
`URLConnection` | `getResourceConnection(String name)` Interface method for ResourceContainer.
`String` | `getScriptUri(HttpServletRequest request)` Returns the include-aware uri of the script or template file.
`File` | `getScriptUriAsFile(HttpServletRequest request)` Parses the http request for the real script or template source file.
`void` | `init(ServletConfig config)` Overrides the generic init method to set some debug flags.

Constructor Detail

### AbstractHttpServlet

    public AbstractHttpServlet()

  The replacement used by the resource name matcher.

Method Detail

### getResourceConnection

    public URLConnection getResourceConnection(String name)

  Interface method for ResourceContainer. This is used by the GroovyScriptEngine.

### getScriptUri

    String getScriptUri(HttpServletRequest request)

  Returns the include-aware uri of the script or template file.
  param:
    request
  the http request to analyze
  return:
    the include-aware uri either parsed from request attributes or
  hints provided by the servlet container

### getScriptUriAsFile

    File getScriptUriAsFile(HttpServletRequest request)

  Parses the http request for the real script or template source file.
  param:
    request the http request to analyze
  return:
    a file object using an absolute file path name

### init

    public void init(ServletConfig config)

  Overrides the generic init method to set some debug flags.
  param:
    config
  the servlet coniguration provided by the container
  throws:
    ServletException if init() method defined in super class
  javax.servlet.GenericServlet throws it